This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 179164 - CVE-2005-4134 Very long topic history.dat DoS
CVE-2005-4134 Very long topic history.dat DoS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=moderate,public=20051203,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 16:01 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: mozilla-1.7.12-1.5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-26 04:57:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-27 16:01:20 EST
Very long topic history.dat DoS

Mozilla will log various bits of URL information into the history.dat
file. A VERY long title logged to the history.dat file will cause
Mozilla to startup very slows and eat a great deal of memory.  This
behavior will persist until the history information is cleared.

https://bugzilla.mozilla.org/show_bug.cgi?id=319004
Comment 2 Fedora Update System 2006-02-02 18:35:13 EST
From User-Agent: XML-RPC

mozilla-1.7.12-1.5.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 David Eisenstein 2006-02-26 04:57:36 EST
Closing this bug CURRENTRELEASE.

Update announcement FEDORA-2006-075 for this issue is at:
http://www.redhat.com/archives/fedora-announce-list/2006-February/msg00005.html

Note You need to log in before you can comment on or make changes to this bug.